<template>
  <div class="screening">
    <div class="title">设备编码 :</div>
    <div class="input_code">
      <el-input placeholder="请输入内容" v-model="code" clearable> </el-input>
    </div>

    <div class="title electric">电量区间 :</div>

    <div class="input_elec">
      <el-input placeholder="请输入" v-model="lowerElec" clearable> </el-input>
    </div>
    <div class="font-weight: 700;font-size: 25px;">-</div>
    <div class="input_elec">
      <el-input placeholder="请输入" v-model="UpperElec" clearable> </el-input>
    </div>

    <div class="save" @click="searchHelmet">查询</div>
    <div class="reset" @click="resetHelmet">清空</div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      code: "",
      lowerElec: "",
      UpperElec: "",
    };
  },
  methods: {
    searchHelmet() {
      this.$emit("searchHelmet", {
        sn: this.code,
        batteryStart: this.lowerElec,
        batteryEnd: this.UpperElec,
      });
    },
    resetHelmet() {
      this.code = "";
      this.lowerElec = "";
      this.UpperElec = "";
      this.$emit("resetHelmet");
    },
  },
};
</script>

<style scoped lang="scss">
.screening {
  display: flex;
  align-items: center;
  padding: 0 20px;
  height: 70px;
  border-radius: 15px;
  background-color: #f2f2f7;

  .title {
    font-size: 14px;
    color: #4f4f4f;
  }

  .input_code {
    margin: 0 20px 0 5px;
    width: 250px;
  }

  .input_elec {
    margin: 0 5px;
    width: 130px;
  }

  .save {
    margin-left: 22%;
    margin-right: 10px;
    width: 90px;
    height: 40px;
    border-radius: 10px;
    background: #fff;
    color: #333333;
    font-size: 14px;
    line-height: 40px;
    cursor: pointer;

    &:hover {
      background: #11aa66;
      color: #fff;
    }
  }

  .reset {
    width: 90px;
    height: 40px;
    background: #fff;
    border-radius: 10px;
    color: #333333;
    font-size: 14px;
    line-height: 40px;
    cursor: pointer;

    &:hover {
      background: #11aa66;
      color: #fff;
    }
  }

  .el-input ::v-deep input {
    border-radius: 10px;

    &:focus {
      border: 1px solid #11aa66;
    }
  }
}
</style>